import vl from 'vega-lite-api';
const log = (d) =>{
  return d;
}

// Date: "1-Sep"
// Dry Waste After Segg: 10
// Dry Waste Before Segg: "73"
// Houses Reached: "111"
// Name of Lane: "HiraSethChawl - Waras Lane"
// No. Houses Segregating Waste: "23"
// No. Houses giving Mixed Waste: "88"
// Rejected: "71"
// Wet waste Before Segg: "76"
// Wet waste after Segg: "68


// "year" - Gregorian calendar years.
// "quarter" - Three-month intervals, starting in one of January, April, July, and October.
// "month" - Calendar months (January, February, etc.).
// "date" - Calendar day of the month (January 1, January 2, etc.).
// "week" - Sunday-based weeks. Days before the first Sunday of the year are considered to be in week 0, the first Sunday of the year is the start of week 1, the second Sunday week 2, etc..
// "day" - Day of the week (Sunday, Monday, etc.).
// "dayofyear" - Day of the year (1, 2, …, 365, etc.).
// "hours" - Hours of the day (12:00am, 1:00am, etc.).
// "minutes" - Minutes in an hour (12:00, 12:01, etc.).
// "seconds" - Seconds in a minute (12:00:00, 12:00:01, etc.).
// "milliseconds" - Milliseconds in a second.

const y="Dry Waste Before Segg";
const x="Date"
const timeUnit="dayofyear";
export const viz = vl
  .markBar()
  .encode(
    vl.y().fieldQ(y).title('total wet-waste after segg').scale({ zero: false }),
    vl.x().fieldT(x).title('HiraSethChawl - Waras Lane').scale({ zero: false }),
    vl.tooltip().fieldQ(y)
  